
<ion-content>
  <ion-card>
    <ion-card-header>
      <ion-card-title>User list</ion-card-title>

    </ion-card-header>
    <!---<ion-toolbar>
      <ion-searchbar animated></ion-searchbar>
      </ion-toolbar>-->
  <ion-list>

    <ion-item *ngFor='let i of users'>
      <ion-label>
      {{i.name|titlecase}} <br>
       {{i.lastName|titlecase}} <br>
       {{findCompany(i.idCompany)?.name|titlecase}}<br>
       {{i.mail}}<br>
       </ion-label>
      <div >
        <ion-button class="btn" fill="outline"  (click)="modifica(i.id)">Modify</ion-button><br>
        <ion-button class="btn" color='danger' fill="outline" (click)="delete(i)">Delete</ion-button>
        <ion-button class="btn" style="display:list-item" color="warning" fill="outline" (click)="storico(i.id)">History</ion-button>
        <br>
      </div>

    </ion-item>

  </ion-list>
</ion-card>

  <div style="text-align:center;">
    <ion-button class='add' color='success' fill="outline"routerLinkActive="active" routerLink="/new-user" >Add</ion-button>
  </div>

</ion-content>

